/**
 * ChartComponentsModule.
 * This module clubs all the different type of charts (component) and registers them on angular.
 */
import * as angular from 'angular';
import LineChartComponent from './line-chart/lineChart-component';
import AreaChartComponent from './area-chart/areaChart-component';
import AreaRangeChartComponent from './arearange-chart/arearangeChart-component';
import HighChartsResizerService from './highchartsResizer-service';
export default class ChartComponentsModule {

    static NAME: string = 'ChartComponentsModule';
    static DEPENDENCIES: Array<string> = [];
    private ChartComponentsModule: angular.IModule;

    constructor() {
        //Creating chart components module.
        this.ChartComponentsModule = angular.module(ChartComponentsModule.NAME, ChartComponentsModule.DEPENDENCIES);
        //Registering chart components on this module.
        this.ChartComponentsModule.component(LineChartComponent.NAME, new LineChartComponent());
        this.ChartComponentsModule.component(AreaChartComponent.NAME, new AreaChartComponent());
        this.ChartComponentsModule.component(AreaRangeChartComponent.NAME, new AreaRangeChartComponent());
        this.ChartComponentsModule.service(HighChartsResizerService.NAME, HighChartsResizerService);
    }
}


