
var ColumnChartConfig = function () {

    this.chart = {
        type: 'column',
        marginLeft: 60,
        marginRight: 0,
        marginTop: 20
    };

    this.plotOptions = {
        series: {
            stacking: '',
            cursor: 'pointer',
            states: {
                hover: {
                    enabled: false
                }
            }
        }
    };

    this.legend = {
        enabled: false
    };

    this.tooltip = {
        positioner: function (labelWidth, labelHeight, point) {
            var tooltipX, tooltipY;

            if(point.plotY + labelHeight > this.chart.plotHeight){
                // move tooltip to right
                tooltipX = point.plotX + this.chart.plotLeft + 20;
            } else {
                tooltipX = point.plotX;
            }

            tooltipY = point.plotY;
            return {
                x: tooltipX,
                y: tooltipY
            };
        }
    };

    this.xAxis = {
        allowDecimals: false,
        labels: {
            useHTML: true,
            formatter: function () {
                var arr = this.chart.series[0].options.data;
                var val = this.value, newValue = '', newText = this.value;
                var valLength = val.length;
                if (newText.length > 13) {
                    newText = val.substring(0, 5) + '...' + val.substring(valLength - 5);
                }
                var resourceURL = '';
                var objId = '';
                var type = '';
                var href = '';

                arr.forEach(function (value) {

                    if (value.name === val) {
                        objId = value.id;
                        resourceURL = value.url;
                        type = value.type;
                        href = value.eventUrl;

                        switch (value.color) {
                            case '#e06464':
                                newValue = '<span class="top-ten-chart-error-icon icon-Critical-Full"></span>';
                                break;
                            case '#f7c94b':
                                newValue = '<span class="top-ten-chart-warning-icon icon-Warning"></span>';
                                break;
                            default:
                                break;
                        }
                    }

                });

                if (newText === '-') {
                    return '<div class="cluster-objectType-name">' + newValue + '' + newText + '</div>';
                }
                else {

                    return '<div class="cluster-objectType-name" data-netapp-id=' + type + '-' + val + '><a href=' + href + '>' + newValue + '</a><a title="' + val + '"href="' + resourceURL + '">' + newText + '</a></div>';

                }
            }
        }
    };

    this.yAxis = {
        lineWidth: 1,
        tickWidth: 1,
        gridLineWidth: 0,
        title: {
            align: 'high',
            offset: 0,
            rotation: 0,
            y: -7
        },
        endOnTick: true
    };

    this.title = {
        text: '',
        style: {
            display: 'none'
        }
    };

    this.credits = {
        enabled: false
    };

    this.loading = false;

    this.size = {};
};
export = ColumnChartConfig;
