
class NwfFormControlsBase {
    restrict = 'E';
    transclude = true;
    replace = true;
}

/* Form Control */
export class NwfFormControl extends NwfFormControlsBase {
    static NAME: string = 'formControl';
    template = '<dd class="l-form-control" ng-transclude></dd>';
}
export function NwfFormControlFactory(): NwfFormControl {
    return new NwfFormControl();
}


/* Form Section */
export class NwfFormSection extends NwfFormControlsBase {
    static NAME: string = 'formSection';
    scope = {
        title: '@',
        infoTooltip: '@'
    };
    template = `<div class="l-form-section">
        <h2 class="form-section-title" ng-if="title">
            {{title}} <nwf-icon icon-class="icon-Info" ng-if="infoTooltip" uib-popover="{{infoTooltip}}" popover-trigger="'mouseenter'"></nwf-icon>
        </h2>
        <div class="form-section-subtitle" ng-transclude></div>
    </div>`;
}

export function NwfFormSectionFactory(): NwfFormSection {
    return new NwfFormSection();
}

/**
 * @ngdoc directive
 * @name form-label directive
 * @description This directive is the implementation of a HTML5 form label
 * A form label serves the purpose of tagging a form element
 * @example <form-label><label for="policyname">Small Policy Name</label></form-label>
 *
 */

/* Form Label */
export class NwfFormLabel extends NwfFormControlsBase {
    static NAME: string = 'formLabel';
    template = '<dt class="l-form-label control-label" ng-transclude></dt>';
}
export function NwfFormLabelFactory(): NwfFormLabel {
    return new NwfFormLabel();
}