import * as gridFooterTemplate from './gridFooter-template.html';

/**
 * @ngdoc directive
 * @name grid footer directive
 * @description This is the implementation of grid footer directive
 * This directive is part of the the grid-footer component
 * which contains selected rows count and the paginator component.
 * @param {totalRecords} number of total records to be handled by paginator.
 * @param {title} string to be shown in the paginator.
 * @param {selectedRowsCount} number of selected rows from the grid
 * @example <nwf-grid-footer total-records=22 title="Nodes" selected-rows-count=2></nwf-grid-footer>
 *
 */
export class GridFooter {

    static NAME: string = 'nwfGridFooter';

     scope = {
        totalRecords: '@',
        title: '@',
        selectedRowsCount: '@?',
        offset: '=',
        limit: '='
    };

     restrict = 'E';
     replace = true;
     template = gridFooterTemplate;

}
// export factory function
export function GridFooterFactory(): GridFooter {
    return new GridFooter();
}