import * as gridMessageTemplate from './gridMessage-template.html';

class GridMessageController {
    static $inject = ['$scope'];
    constructor(private $scope) { }
}


/**
 * @ngdoc directive
 * @name gridMessage directive
 * @description This is the implementation of gridMessage directive.
 * This directive provides a no-data-message template positioned on top of grid if there is no data present in the grid.
 * @param {message} string to be shown in the div template.
 * @example <nwf-grid-message message="No records found"></nwf-grid-message>
 */
export class GridMessage {

    static NAME: string = 'nwfGridMessage';

    restrict = 'E';
    scope = {
        message: '@'
    };
    replace = true;
    template = gridMessageTemplate;
    bindToController = true;
    controllerAs = 'gridMessage';
    controller = GridMessageController;
}
// export factory function
export function GridMessageFactory(): GridMessage {
    return new GridMessage();
}
