import * as angular from 'angular';
import '../../node_modules/angular-ui-grid/ui-grid.min.css';
import 'ui-grid';
import { GridParamsController, GridParamsControllerFactory } from './gridParamController-directive';
import { GridFooter, GridFooterFactory } from './components/grid-footer/gridFooter-directive';
import { NwfPaginator, NwfPaginatorFactory } from './components/paginator/paginator-directive';
import { Search, SearchFactory } from './components/search/search-directive';
import { NwfColumnChooser, NwfColumnChooserFactory } from './components/column-chooser/columnChooser-directive';
import { GridMessage, GridMessageFactory } from './components/grid-message/gridMessage-directive';
import { FilterWidget, FilterWidgetFactory } from './components/filter-widget/filterWidget-directive';
import { NwfGridExport, NwfGridExportFactory } from './components/export/export-component';
import { NwfGridSelection, NwfGridSelectionFactory } from './components/selection/selection-component';


export default class GridModule {

    static NAME: string = 'nwfGridModule';

    static DEPENDENCIES: any = [ 'ui.grid', 'ui.grid.selection', 'ui.grid.resizeColumns', 'ui.grid.pagination', 'ui.grid.autoResize'];

    private native: angular.IModule;

    constructor() {
        this.native = angular.module(GridModule.NAME, GridModule.DEPENDENCIES);
        this.native.directive(GridParamsController.NAME, GridParamsControllerFactory);
        this.native.directive(GridFooter.NAME, GridFooterFactory);
        this.native.directive(NwfPaginator.NAME, NwfPaginatorFactory);
        this.native.directive(NwfColumnChooser.NAME, NwfColumnChooserFactory);
        this.native.directive(Search.NAME, SearchFactory);
        this.native.directive(GridMessage.NAME, GridMessageFactory);
        this.native.directive(FilterWidget.NAME, FilterWidgetFactory);
        this.native.component(NwfGridExport.NAME, NwfGridExportFactory());
        this.native.component(NwfGridSelection.NAME, NwfGridSelectionFactory());
    }

}


