export class GridParamsController {

    static NAME: string = 'nwfGridParamsController';

    restrict = 'E';
    scope = {
        params: "="
    };

    controller = ['$scope', function($scope) {

        this.params = $scope.params || {};

        $scope.$watch(function() {
            return this.params;
        }.bind(this), function(newValue, oldValue) {
            if (newValue !== oldValue) {
                //Emit the changed values to parent controller.
                $scope.$emit('gridParamsChange', this.params, oldValue);
            }
        }.bind(this), true);
    }];
}

// export factory function
export function GridParamsControllerFactory(): GridParamsController {
    return new GridParamsController();
}
