var controllerFun = function ($element: angular.IAugmentedJQuery, $scope, nwfConfig, nwfHelpService, $compile) {

    var helpable = $element.get(0);
    var guid = $scope.guid;

    //just tack on the guid on the data-netapp-id
    var naid = 'data-netapp-id';
    var newNaid = 'nwf-help-guid-' + guid;
    if (guid) {
        helpable.setAttribute(naid, newNaid);
    }

    var showIcon = $scope.showIcon == "false" ? false : true;

    //Get the base context ID for the application.
    var baseContextId = nwfConfig.getHelpContext();
    var launcher = function () {
        if (typeof (guid) != "undefined") {
            nwfHelpService.helpDirectiveWindow.fDisplayHelpWithNavigation(baseContextId, guid);
        } else {
            nwfHelpService.helpDirectiveWindow.fDisplayHelpContents();
        }
    };

    var makeHelpableLink = function () {
        helpable.classList.add('nwf-help-link');
        helpable.addEventListener('click', launcher);
    };
    if (showIcon) {
        var template = '<nwf-icon icon-class="icon-Help" class="nwf-help"></nwf-icon>';
        var linkFn = $compile(template);
        var content = linkFn($scope);
        $element.append(content);
        var helpIcon = content.get(0);
        $scope.$watch('guid', function (newVal) {
            //just tack on the guid on the data-netapp-id
            var naid = 'data-netapp-id';
            var newNaid = 'nwf-help-guid-' + newVal;
            helpIcon.setAttribute(naid, newNaid);
        });
        helpIcon.addEventListener('click', launcher);
        /* If I am a link, I want it to be clickable too */
        if (helpable.tagName == 'A') {
            makeHelpableLink();
        }
    } else {
        makeHelpableLink();
    }

    $element.on('$destroy', function () {
        helpable.removeEventListener('click', launcher);
    });

};
controllerFun.$inject = ["$element", "$scope", "nwfConfig", "nwfHelpService", "$compile"]
export default controllerFun;