import ProgressIndicatorCtrl from './progressIndicator-controller';

export default class ProgressIndicatorComponent {
  static NAME = 'nwfProgressIndicator';
  template = `<ul class="progress-indicator nwf-progress-indicator">
        <li ng-repeat="step in $ctrl.stepData" ng-class="{'active': step.isCurrent, 'completed': step.isComplete }">
            <span class="bubble">
            <nwf-icon ng-if="step.isComplete" icon-class="icon-OkCheckMark"></nwf-icon>
            <span class="nwf-progress-indicator-step-num" ng-if="!step.isComplete">{{$index + 1}}</span>
            </span>
            <span class="nwf-progress-indicator-step-label">{{step.label}}</span>
        </li>
    </ul>`;
  controller = ProgressIndicatorCtrl;
  bindings = {
    steps: '<',
    currentStepName: '@'
  };
}

