import * as changePasswordModalTemplate from './nwfChangePassword-modal.html';
import nwfChangePasswordInstCtrl from './nwfChangePasswordInst-controller';

export default class NwfChangePasswordController {
    static $inject = ['$scope', '$uibModal', '$http', 'AUTH_STRATEGY_REST_END_POINTS', '$i18next'];

    constructor($scope, $uibModal: angular.ui.bootstrap.IModalService, $http, AUTH_STRATEGY_REST_END_POINTS, $i18next) {

        //Disable Change password on load
        $scope.enableChangePassword = false;

        var userDetail = $http({
            url: AUTH_STRATEGY_REST_END_POINTS.CURRENT_USER_CONTEXT,
            method: 'GET'
        });

        userDetail.then(function (response) {
            $scope.userName = response.data.name;
            //Only enable change password for Local users and Admin users. For Admin users AuthType comes out as null.
            if (response.data.authorizationType.toUpperCase() === 'LOCAL_USER') {
                $scope.enableChangePassword = true;
            }
        });

        $scope.changePasswordFn = function () {

            if ($scope.enableChangePassword === false) {
                return;
            }
            var modalInstance = $uibModal.open({
                template: changePasswordModalTemplate,
                controller: nwfChangePasswordInstCtrl,
                backdrop: 'static',
                resolve: {
                    title: function () {
                        return $i18next.t("nwfjs:changePassword");
                    }
                }
            });

            modalInstance.result.then(function (message) {
                $scope.$emit('pageAlertShowMessage', message);
            });
        };


    }
}

