export default class NwfChangePasswordInstController {
        static $inject = ['$scope', '$uibModalInstance', 'title', 'authStrategy', '$i18next'];
        constructor($scope, $uibModalInstance: angular.ui.bootstrap.IModalServiceInstance, title, authStrategy, private $i18next) {
                $scope.title = title;
                $scope.serverError = false;
                $scope.loading = false;

                $scope.ok = function () {
                        //Password Check Function
                        if ($scope.selected.newPassword !== $scope.selected.confirmPassword) {
                                $scope.changePasswordForm.confirmPassword.$setValidity('matchFailure', false);
                                return;
                        }
                        authStrategy.changePasswordAuthenticationFn($scope.selected.currentPassword, $scope.selected.newPassword).then(function () {
                                $uibModalInstance.close($i18next.t("nwfjs:changePasswordSucceed"));
                        }, function ({data}) {
                                $scope.serverError = true;
                                var msg;
                                if (data.message) {
                                        msg = data.message;
                                } else {
                                        msg = $i18next.t("nwfjs:changePasswordUnknownError");
                                }
                                $scope.alert = msg;
                        });
                };

                $scope.cancel = function () {
                        $uibModalInstance.dismiss('cancel');
                };

                //Remove the Confirm Password Check.
                $scope.clearErrorsPassword = function (formField) {
                        if (formField.$invalid === true) {
                                formField.$setValidity('matchFailure', true);
                        }
                };

                //Clear errors rendered from the server.
                $scope.clearServerErrors = function () {
                        $scope.serverError = false;
                };
        }
}
