
class NwfGlobalNavBase {
    restrict = 'E';
    transclude = true;
    replace = true;
}

/* GlobalNav */
export class NwfGlobalNav extends NwfGlobalNavBase  {
    static NAME = 'nwfGlobalnav';
    template = '<header class="nwf-globalnav" ng-transclude></header>';
}
export function NwfGlobalNavFactory(): NwfGlobalNav {
    return new NwfGlobalNav();
}

/* GlobalNavPrimary */
export class NwfGlobalNavPrimary extends NwfGlobalNavBase  {
    static NAME = 'nwfGlobalnavPrimary';
    template = '<div class="nwf-globalnav-primary" ng-transclude></div>';
}
export function NwfGlobalNavPrimaryFactory(): NwfGlobalNavPrimary {
    return new NwfGlobalNavPrimary();
}

/* GlobalNavPrimary */
export class NwfAppTitle extends NwfGlobalNavBase  {
    static NAME = 'nwfAppTitle';
    transclude = false;
    scope = { title: '@' };
    template = '<div class="nwf-globalnav-primary-apptitle"><h1 class="nwf-app-title">{{title}}</h1></div>';
}
export function NwfAppTitleFactory(): NwfAppTitle {
    return new NwfAppTitle();
}

/* GlobalNavPrimary */
export class NwfGlobalNavPrimaryTools extends NwfGlobalNavBase  {
    static NAME = 'nwfGlobalnavPrimaryTools';
    template = '<div class="nwf-globalnav-primary-tools" ng-transclude></div>';
}
export function NwfGlobalNavPrimaryToolsFactory(): NwfGlobalNavPrimaryTools {
    return new NwfGlobalNavPrimaryTools();
}

/* GlobalNavSecondary */
export class NwfGlobalNavSecondary extends NwfGlobalNavBase  {
    static NAME = 'nwfGlobalnavSecondary';
    template = '<div class="nwf-globalnav-secondary" ng-transclude></div>';
}
export function NwfGlobalNavSecondaryFactory(): NwfGlobalNavSecondary {
    return new NwfGlobalNavSecondary();
}

/* GlobalNavSecondaryMenus */
export class NwfGlobalNavSecondaryMenus extends NwfGlobalNavBase  {
    static NAME = 'nwfGlobalnavSecondaryMenus';
    template = '<div class="nwf-globalnav-secondary-menus" ng-transclude></div>';
}
export function NwfGlobalNavSecondaryMenusFactory(): NwfGlobalNavSecondaryMenus {
    return new NwfGlobalNavSecondaryMenus();

}

/* GlobalNavSecondarySearch */
export class NwfGlobalNavSecondarySearch extends NwfGlobalNavBase  {
    static NAME = 'nwfGlobalnavSecondarySearch';
    template = '<div class="nwf-globalnav-secondary-search" ng-transclude></div>';
}
export function NwfGlobalNavSecondarySearchFactory(): NwfGlobalNavSecondarySearch {
    return new NwfGlobalNavSecondarySearch();
}
